<template>
  <div class="pos-absolute-l-0">
    <div class="font-weight-bold pb-1">
      {{ memberId }}
    </div>
    <div>{{ item.name }}</div>
  </div>
</template>

<script>
import { getValue } from '@/helpers/variable-handling'

export default {
  props: {
    item: { required: true },
    searchText: { required: true },
  },
  computed: {
    memberId: function() {
      return [
        getValue(this.item, 'country.code', this.item.country_code),
        getValue(this.item, 'user.old_member_id', this.item.old_member_id),
      ].join('-')
    },
  },
}
</script>
